Page MenuHomeFreeBSD

Add sysutils/linux-c7-dosfstools: Utilities for MS-DOS FAT filesystems for Centos 7
ClosedPublic

Authored by trasz on Jan 9 2020, 2:06 PM.

Details

Summary

Add sysutils/linux-c7-dosfstools. Required for LTP.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 28782
Build 26791: arc lint + arc unit

Event Timeline

trasz created this revision.Jan 9 2020, 2:06 PM
trasz added a reviewer: tijl.Jan 9 2020, 2:07 PM
linimon retitled this revision from Add sysutils/linux-c7-dosfstools to Add sysutils/linux-c7-dosfstools: Utilities for MS-DOS FAT filesystems for Centos 7.Jan 10 2020, 5:24 AM
tijl requested changes to this revision.Jan 10 2020, 2:05 PM
tijl added inline comments.
sysutils/linux-c7-dosfstools/Makefile
13

Because this port doesn't install any libraries you can set USE_LINUX_RPM=nolib. Then you also get only one pkg-plist file.

15

Because PKGNAMESUFFIX is empty in this port, this corresponds to the default value for LIB_DISTNAMES so this line can be removed.

sysutils/linux-c7-dosfstools/pkg-descr
6

This description needs to be updated for dosfstools.

This revision now requires changes to proceed.Jan 10 2020, 2:05 PM
trasz added inline comments.Jan 14 2020, 11:43 AM
sysutils/linux-c7-dosfstools/Makefile
13

Hm, this doesn't seem to work - it results in empty plist and no files being installed. I wonder if this, in ports/Uses/linux.mk:234 should be changed to include usr/bin and usr/sbin, since that's where the ports' files are supposed to go:

.for d in bin lib lib64 sbin

[ ! -e ${STAGEDIR}${PREFIX}/${d} -o -L ${STAGEDIR}${PREFIX}/${d} ] || \
        (cd ${STAGEDIR}${PREFIX} && \
        ${FIND} ${d} | ${CPIO} -dumpl --quiet usr && ${RM} -r ${d})

.endfor

trasz added inline comments.Jan 14 2020, 11:45 AM
sysutils/linux-c7-dosfstools/Makefile
13

(Although adding those two doesn't seem to fix the problem.)

trasz updated this revision to Diff 66732.Jan 14 2020, 11:47 AM

Fix stuff.

trasz marked 2 inline comments as done and 2 inline comments as done.Jan 14 2020, 11:48 AM
tijl added inline comments.Jan 14 2020, 7:57 PM
sysutils/linux-c7-dosfstools/Makefile
13

Seems to work here. I was wrong about there being only one pkg-plist. That's only the case for USE_LINUX_RPM=noarch.

You should regenerate pkg-plist with make makeplist though, because it's missing these files:

%%PORTDOCS%%%%DOCSDIR%%/COPYING
%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
%%PORTDOCS%%%%DOCSDIR%%/ChangeLog.dosfstools-2.x
%%PORTDOCS%%%%DOCSDIR%%/README.dosfstools-2.x
%%PORTDOCS%%%%DOCSDIR%%/TODO.dosfstools-2.x

Then you should also add OPTIONS_DEFINE=DOCS to the Makefile here.

You could have only one pkg-plist if you add PLIST=${PKGDIR}/pkg-plist to the Makefile.

trasz updated this revision to Diff 67037.Mon, Jan 20, 10:06 AM

Fixes from tijl@.

trasz updated this revision to Diff 67038.Mon, Jan 20, 10:07 AM

Fix whitespace.

tijl accepted this revision.Mon, Jan 20, 12:04 PM
tijl added inline comments.
sysutils/linux-c7-dosfstools/Makefile
12

It's just a style thing and I don't care so much about this, but I suspect portlint will tell you to add an empty line here (USES/USE_* needs to be a separate block or something).

This revision is now accepted and ready to land.Mon, Jan 20, 12:04 PM
This revision was automatically updated to reflect the committed changes.